Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.messaging
Class GCCollectMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.gc.messaging.GCCollectMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GCCollectMessage
extends PastMessage

Version:
  $Id: GCCollectMessage.java 2574 2005-06-14 17:38:04Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GCCollectMessage(int id, NodeHandle source, Id dest)` Constructor

Method Summary
`void` | `returnResponse(Continuation c, Environment env, java.lang.String instance)` Method by which this message is supposed to return it's response - in this case, it lets the continuation know that a the message was lost via the receiveException method.
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GCCollectMessage

    public GCCollectMessage(int id,
                            NodeHandle source,
                            Id dest)

  Constructor

Parameters:
  `id` - The location to be stored
  `source` - The source address
  `dest` - The destination address

Method Detail

### returnResponse

    public void returnResponse(Continuation c,
                               Environment env,
                               java.lang.String instance)

  Method by which this message is supposed to return it's response - in this case, it lets the continuation know that a the message was lost via the receiveException method.

  Specified by:
    `returnResponse` in class `PastMessage`
  Parameters:
    `c` - The continuation to return the reponse to.
    `env` - DESCRIBE THE PARAMETER
    `instance` - DESCRIBE THE PARAMETER

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Returns:
    A string representing this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.